//
//	oalserver.cc:	test OalServer class
//
#include <cassert>
#include <iostream>

#include "OalServer.h"

int main()
{
	const Odf *odf = oalServer.newOdf("../odf");

	cout<<*odf<<endl;
	assert(odf->directoryName() == "../odf");
	assert(odf->orbitNr() == 10);
	assert(odf->sets() == 84);

	oalServer<<"../odf/0010_PPPPPPOOLL_PNS00104IME.FIT";
	cout<<"Oal state set to:\n"
		<<"   instrument             : "<<oalServer.instrument()<<endl
		<<"   data mode              : "<<oalServer.dataMode()<<endl
		<<"   exposure index         : "<<oalServer.exposureIndex()<<endl
		<<"   exposure number        : "<<oalServer.exposureNumber()<<endl
		<<"   ccd number             : "<<oalServer.ccd()<<endl
		<<"   node number            : "<<oalServer.node()<<endl;
	assert(oalServer.instrument() == Xmm::EPN);
	assert(oalServer.dataMode() == Xmm::IMAGING);
	assert(oalServer.exposureIndex() == 1);
	assert(oalServer.ccd() == 4);
	assert(oalServer.node() == 0);

	return 0;
}

