!
!   oaltest.f90 --- f90 program to test the OAL
!
!   DESCRIPTION:
!       This program tests the correctness of OAL by
!       performing a sequence of subroutine calls followed by
!       checks of the output. If any of these checks fails, the
!       program shall exit with a non-zero return value. If all tests
!       succeed 0 will be returned to the calling environment.
!
!   AUTHOR:
!       UL, Wed Dec 17 16:53:31 MET 1997
!
!   $Header: /data/xmm12/cvsadmin/soc_repos/sas/packages/oal/f90test/oaltest2.f90,v 1.5 2000/09/27 14:18:55 ulammers Exp $
!
program oaltest

use oal             ! use the ODF Access Layer
use caloaldefs
use errorhandling

    implicit none
    integer expNr, ccdNr
    character(len=512) :: f1, f2

    !
    !   ----- open the ODF in directory odfDir and obtain infos ----------
    !
    call OAL_openOdf('../odf')
    call OAL_setState('../odf/0010_PPPPPPOOLL_PNS00104IME.FIT')
    call OAL_getState(exposureNr = expNr, ccdNr =ccdNr)
    write(*, *) 'exposure number: ', expNr
    write(*, *) 'ccd number     : ', ccdNr

    call OAL_openOdf('')
    f1 = OAL_expandSetName('odf(epn, timi, 25, 4)')
    write(*, *) f1
    call OAL_setState(f1)

    call OAL_setState(dataMode=AUXILIARY)
    call OAL_selectFile(0, f2)
    write(*, *) f2

end program
