//-----------------------------------------------------------------------------
//
//						XMM Science Analysis System (SAS)
//					   (c) 1997-2010 European Space Agency
//
//-----------------------------------------------------------------------------
//
//	OalChild.h	--- base class for objects which can be instantiated
//					from other classes
//
//	CHANGE HISTORY:
//		UL, 1998-07-24: 1.0.0: - initial version
//
//	AUTHOR:
//		U. Lammers, Fri Jul 24 09:46:32 MET DST 1998
//
//	REFERENCES:
//		[1]: Software Specification Document for the XMM Science Analysis
//			 Subsystem, M. Dahlem et. al., 
//
//	$Header: /data/xmm12/cvsadmin/soc_repos/sas/packages/oal/src/OalChild.h,v 1.3 2000/04/19 14:20:17 gvacanti Exp $
///

#ifndef OAL_CHILD
#define OAL_CHILD

#include "Tracer.h"

template <class T>
class OalChild {
public:
	OalChild(const T *parent) : _parent(parent) { PROC ENDPROC }
	T *parent() { PROC RETURN const_cast<T *>(_parent); }
	const T *parent() const { PROC RETURN _parent; }
	bool isOrphan() const { PROC RETURN !_parent; }

private :
	const T * _parent;
};

#endif
